Skip to main content
GET
/
addresses
/
{addressId}
Find an address by its id
curl --request GET \
  --url https://api.leanpay.fr/v1/public/addresses/{addressId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "company": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "line3": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "externalId": "<string>",
  "main": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

addressId
string<uuid>
required

Id of the address

Response

Found address

id
string<uuid>
tenantId
string<uuid>
clientId
string<uuid>
name
string | null
company
string
line1
string
line2
string | null
line3
string | null
city
string
postalCode
string
country
string
externalId
string | null
main
boolean
createdAt
string<date-time>
updatedAt
string<date-time>